Can't move issues between project and change status

2012-05-08 09:55 - Paps 1

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi,

After the update to 1.4.1, The status is now empty for some issues if the tracker is changed even though, it was and still is configured

in the workflow. The option to move an issue has also disappeared...

Does anyone else is experiencing those problems ?

 Empty_status.PNG 

Best regards,

Paps

History

#1 - 2012-05-08 11:02 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Paps 1 wrote:

Hi,

After the update to 1.4.1, The status is now empty for some issues if the tracker is changed even though it was and still is configured in the

workflow.

 Can't reproduce. Try without plugins and describe the exact conditions in which it occurs.

The option to move an issue has also disappeared...

 You can now move issues to another project from the regular edit/bulk edit form.

#2 - 2012-05-08 11:13 - Paps 1

The issue I'm trying to move is an issue that is over a year old.

I have changed the tracker from Bug to Offre. Those tracker have different status.

When I try to set a different status for Offre (Nouveau, En cours, Transmise, etc..) there is nothing in the dropdown list. It stays empty. If I create a

new issue it works however, if I try the same with an issue in another project it doesn't.

I have tried to move the issue to Bug again and to another tracker. With another tracker, I can change the status normally. However, when I tried to

set as Offre again the status list is empty and the status of the former tracker is kept even though it isn't in the workflow.

#3 - 2012-05-24 11:50 - Paps 1

- File workflow.PNG added

- File liste.PNG added

Hello,

I have explored this issue a bit.

2025-05-17 1/2



First I went into the Workflow to see if it is set up correctly :

 workflow.PNG 

In the workflow, I can see that it has all the transition I need but when I try to change the status of an issue :

 liste.PNG 

I cannot see the status Refusé or Terminé. And if I try to move this issue to another tracker, I just have the status Nouveau.

Before I upgraded to 1.4 I didn't have this problem. Currently, I use version 1.4.1.stable.9612.

Is there anyone else facing the same issue?

Regards

Paps

#4 - 2012-05-30 17:24 - Paps 1

- Status changed from New to Resolved

Hello,

I have found the cause for my problem.

The status will not show other options if the workflow was once changed to other status.

For example, when I first created my tracker Offre I had the following status :

Nouveau

En cours

En attente

Feedback

Terminé

Following some feedback from my colleagues, we changed the status of the tracker Offre to :

Nouveau

Transmise

En attente

En cours de réalisation

Terminé

So the issues that were created at first using the old status won't update to the new one as I removed the transitions from the workflow the dropdown

list is empty or missing transition status.

Now, I have a workaround to close old issues.

Cheers

Paps

#5 - 2013-07-23 23:26 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

resolved -> closed

Files

Empty status.PNG 6.44 KB 2012-05-08 Paps 1

Move 1.PNG 2.98 KB 2012-05-08 Paps 1

right menu no status.PNG 29 KB 2012-05-08 Paps 1

Offre Workflow.PNG 28.2 KB 2012-05-08 Paps 1

workflow.PNG 30.4 KB 2012-05-24 Paps 1

liste.PNG 17.4 KB 2012-05-24 Paps 1
